Debian Bug report logs - #603306
ITP: fsharp -- Microsoft F# programming language

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mehdi Dogguy <mehdi@debian.org>

Date: Fri, 12 Nov 2010 20:12:01 UTC

Owned by: Christopher James Halse Rogers <raof@ubuntu.com>

Severity: wishlist

Fixed in version fsharp/3.0.26-1

Done: Christopher James Halse Rogers <raof@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#603306; Package wnpp. (Fri, 12 Nov 2010 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 12 Nov 2010 20:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: f-sharp -- Microsoft F# programming language
Date: Fri, 12 Nov 2010 21:05:30 +0100
Package: wnpp
Severity: wishlist
Owner: Mehdi Dogguy <mehdi@debian.org>

* Package name    : f-sharp
  Version         : 2.0
  Upstream Author : Microsoft
* URL             : http://www.fsharp.net/
* License         : Apache 2.0 License
  Programming Lang: F#
  Description     : Microsoft F# programming language

F# is a programming language that provides support for functional
programming in addition to traditional object-oriented and imperative
(procedural) programming. The Visual F# product provides support for
developing F# applications and extending other .NET Framework
applications by using F# code. F# is a first-class member of the .NET
Framework languages and retains a strong resemblance to the ML family
of functional languages.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mehdi Dogguy <mehdi@debian.org>:
Bug#603306; Package wnpp. (Sun, 14 Nov 2010 00:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geza Kovacs <gkovacs@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mehdi Dogguy <mehdi@debian.org>. (Sun, 14 Nov 2010 00:51:09 GMT) Full text and rfc822 format available.

Message #10 received at 603306@bugs.debian.org (full text, mbox):

From: Geza Kovacs <gkovacs@MIT.EDU>
To: 603306@bugs.debian.org, Mehdi Dogguy <mehdi@debian.org>
Subject: Re: ITP: f-sharp -- Microsoft F# programming language
Date: Sat, 13 Nov 2010 19:47:00 -0500
Note that there seems to already be a Debian packaging effort for F# at
http://fsxplat.codeplex.com/

Additionally, you may wish to call the package "fsharp" instead of
"f-sharp" since "fsharp" more widely used, according to Google Trends.




Changed Bug title to 'fsharp -- Microsoft F# programming language' from 'ITP: f-sharp -- Microsoft F# programming language' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 15:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mehdi Dogguy <mehdi@debian.org>:
Bug#603306; Package wnpp. (Wed, 29 Dec 2010 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreia Gaita <shana.ufie@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mehdi Dogguy <mehdi@debian.org>. (Wed, 29 Dec 2010 23:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 603306@bugs.debian.org (full text, mbox):

From: Andreia Gaita <shana.ufie@gmail.com>
To: 603306@bugs.debian.org
Subject: ITP: f-sharp -- Microsoft F# programming language
Date: Wed, 29 Dec 2010 23:10:15 +0000
FYI, regarding the packaging of F#, there is an fsharp organization on
github (https://github.com/fsharp) that is now the Mono project's
official source for F#. The https://github.com/fsharp/fsharp project
is where the compiler is being maintained, with sources ported
directly from the official fsharp codeplex code, plus Mono and
linux-specific fixes and autotools-based packaging used to build and
package it for Mono.




Changed Bug title to 'RFP: fsharp -- Microsoft F# programming language' from 'fsharp -- Microsoft F# programming language' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 20 Jan 2011 16:15:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'fsharp -- Microsoft F# programming language' from 'RFP: fsharp -- Microsoft F# programming language' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sun, 10 Apr 2011 16:12:49 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: fsharp -- Microsoft F# programming language' from 'fsharp -- Microsoft F# programming language' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sun, 10 Apr 2011 16:13:47 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: fsharp -- Microsoft F# programming language' from 'ITP: fsharp -- Microsoft F# programming language' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sun, 28 Oct 2012 08:21:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Mehdi Dogguy <mehdi@debian.org>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 28 Oct 2012 08:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#603306; Package wnpp. (Sat, 03 Nov 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christopher James Halse Rogers <raof@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 03 Nov 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #32 received at 603306@bugs.debian.org (full text, mbox):

From: Christopher James Halse Rogers <raof@ubuntu.com>
To: "control@bugs.debian.org" <control@bugs.debian.org>
Cc: 603306@bugs.debian.org
Subject: ITP: fsharp -- Microsoft F# programming language
Date: Sun, 04 Nov 2012 08:53:20 +1100
retitle 603306 ITP: fsharp -- Microsoft F# programming language
owner 603306 !
quit

I plan to package this as a part of the pkg-mono team.




Changed Bug title to 'ITP: fsharp -- Microsoft F# programming language' from 'RFP: fsharp -- Microsoft F# programming language' Request was from Christopher James Halse Rogers <raof@ubuntu.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 21:57:09 GMT) Full text and rfc822 format available.

Owner recorded as Christopher James Halse Rogers <raof@ubuntu.com>. Request was from Christopher James Halse Rogers <raof@ubuntu.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 21:57:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 12 Apr 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Christopher James Halse Rogers <raof@ubuntu.com>:
You have taken responsibility. (Fri, 19 Apr 2013 10:03:04 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@debian.org>:
Bug acknowledged by developer. (Fri, 19 Apr 2013 10:03:04 GMT) Full text and rfc822 format available.

Message #43 received at 603306-close@bugs.debian.org (full text, mbox):

From: Christopher James Halse Rogers <raof@ubuntu.com>
To: 603306-close@bugs.debian.org
Subject: Bug#603306: fixed in fsharp 3.0.26-1
Date: Fri, 19 Apr 2013 10:00:11 +0000
Source: fsharp
Source-Version: 3.0.26-1

We believe that the bug you reported is fixed in the latest version of
fsharp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603306@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christopher James Halse Rogers <raof@ubuntu.com> (supplier of updated fsharp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Nov 2012 09:49:41 +1100
Source: fsharp
Binary: fsharp fsharp-console libfsharp-build4.3-cil libfsharp-compiler4.3-cil libfsharp-compiler-interactive-settings4.3-cil libfsharp-compiler-server-shared4.3-cil libfsharp-core4.3-cil libfsharp-data-typeproviders4.3-cil
Architecture: source all
Version: 3.0.26-1
Distribution: unstable
Urgency: low
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Changed-By: Christopher James Halse Rogers <raof@ubuntu.com>
Description: 
 fsharp     - functional-first programming language - compiler for the CLI
 fsharp-console - functional-first programming language - interactive compiler
 libfsharp-build4.3-cil - functional-first programming language - build configuration
 libfsharp-compiler-interactive-settings4.3-cil - functional-first programming language - interactive configuration
 libfsharp-compiler-server-shared4.3-cil - functional-first programming language - server interaction librar
 libfsharp-compiler4.3-cil - functional-first programming language - compiler library
 libfsharp-core4.3-cil - functional-first programming language - core runtime library
 libfsharp-data-typeproviders4.3-cil - functional-first programming language - data integration library
Closes: 603306
Changes: 
 fsharp (3.0.26-1) unstable; urgency=low
 .
   * Initial release (Closes: #603306)
Checksums-Sha1: 
 fa34cd5a031ea8f7c60c8c7d3fb3119a8e9dee6c 1974 fsharp_3.0.26-1.dsc
 18111336da2df7c4f83d9958aec2c91681f8a525 10695919 fsharp_3.0.26.orig.tar.gz
 0050b38c4c03db9610be95acca1e022b5d527f6f 2987 fsharp_3.0.26-1.debian.tar.gz
 716d5dd6517c1934e1623485e5e26651288a9f31 18922 fsharp_3.0.26-1_all.deb
 15c562aebc64ba36dd219bf9e578a05a706d63c0 107124 fsharp-console_3.0.26-1_all.deb
 54c5cfbccd2feda12d434e7dcf532c4c278a06bb 22596 libfsharp-build4.3-cil_3.0.26-1_all.deb
 d6574d96c330cfdd859025673c29926e0708b500 3560688 libfsharp-compiler4.3-cil_3.0.26-1_all.deb
 4621889c623779bbc40528eb6a1d43dbc66ea2fc 11226 libfsharp-compiler-interactive-settings4.3-cil_3.0.26-1_all.deb
 0dd9b46f85f45f65e6fcb9e3a4b3face4ff29555 5440 libfsharp-compiler-server-shared4.3-cil_3.0.26-1_all.deb
 d110c52f86b22532d6d6c9ee9d508c218f027f78 652694 libfsharp-core4.3-cil_3.0.26-1_all.deb
 5c7e0f0577737e2196cf708b82d5c1094de72a42 139746 libfsharp-data-typeproviders4.3-cil_3.0.26-1_all.deb
Checksums-Sha256: 
 d677bd251b665a46a819d4c6d579def0f812247e1bf05de6c2cc071c1a8d8db5 1974 fsharp_3.0.26-1.dsc
 0888e71b9973fab2f0b61160080ce513acf50bbab67f8766f4ba59ae118c13af 10695919 fsharp_3.0.26.orig.tar.gz
 e498c4845495288edcbb11eb29c8f3a4964953be3d2327f2eb3fe6e79951dd6c 2987 fsharp_3.0.26-1.debian.tar.gz
 308af203ac53f8d8368651b6346ebe5b457ded530d48bb78e81ba979dfa52665 18922 fsharp_3.0.26-1_all.deb
 afde27ad157556c0dcd0ca78d7bf525b8685b233daf5547d419f0a825c62c0c9 107124 fsharp-console_3.0.26-1_all.deb
 24a5501bfec47df94eaa35db3984490407ae926d2983c2f96d8d67b025f1a08e 22596 libfsharp-build4.3-cil_3.0.26-1_all.deb
 0ea03f654b8ed49abecdef3bfebf7a08da7ae4dfa2c5db910330b8904f53282b 3560688 libfsharp-compiler4.3-cil_3.0.26-1_all.deb
 bde99f6cf09ace4126916a7420b3e3317d946dd4f4bb33f8d459d037c6cbf93a 11226 libfsharp-compiler-interactive-settings4.3-cil_3.0.26-1_all.deb
 1ecb258dac6adc49e4a9f79ea8a4059e82f6545da52b3d5dee4038b14666d288 5440 libfsharp-compiler-server-shared4.3-cil_3.0.26-1_all.deb
 3a807bb4108023cebbe1a205a43f35375126401d928499765b328acee96374ec 652694 libfsharp-core4.3-cil_3.0.26-1_all.deb
 8f6871bb5a809020f7174374a1d656d22e4f40b3bb325893c41e9c850d1ac8f0 139746 libfsharp-data-typeproviders4.3-cil_3.0.26-1_all.deb
Files: 
 48595798d7ff44c62342c77a07453bc2 1974 cli-mono optional fsharp_3.0.26-1.dsc
 fd9daca7ed1a586e1602a8dcb2212e2c 10695919 cli-mono optional fsharp_3.0.26.orig.tar.gz
 9ea8d716c81353fab7a43567f8355b4c 2987 cli-mono optional fsharp_3.0.26-1.debian.tar.gz
 f65559d05cd80bef45577b34edf3461d 18922 cli-mono optional fsharp_3.0.26-1_all.deb
 11289733cb42f3ec0a14d1e2953c3fde 107124 cli-mono optional fsharp-console_3.0.26-1_all.deb
 3ba6e583a3b41fe62efd1b3f624d0d64 22596 cli-mono optional libfsharp-build4.3-cil_3.0.26-1_all.deb
 76ed8f4828ed01a39094287b18e40395 3560688 cli-mono optional libfsharp-compiler4.3-cil_3.0.26-1_all.deb
 8750a61c256cddbb8250a8492b1af627 11226 cli-mono optional libfsharp-compiler-interactive-settings4.3-cil_3.0.26-1_all.deb
 adf0e284ed306e352d57e525a081717a 5440 cli-mono optional libfsharp-compiler-server-shared4.3-cil_3.0.26-1_all.deb
 c48efaff90d043740c9c89e251e44bfe 652694 cli-mono optional libfsharp-core4.3-cil_3.0.26-1_all.deb
 f091e34b10dca8ac135ec14ea5a75e9a 139746 cli-mono optional libfsharp-data-typeproviders4.3-cil_3.0.26-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBAgAGBQJRZ9yBAAoJEMkPnLkOH60McVAH/ii8zcuRfkeAqBqouuFND/oH
h2LPGZTa8bR2D+c5WlmOJqWtC+rUVJ+pkHx9uIwLaSkYNV6IAyG3ZORLizq0NzvW
klhGqKuxjLipYenN+KW4l5tKIk/fBDSEScj9I9FGy1Dgw9EYiq9vRk2+7R1d8KLj
sL8OJhGEfOuYt+YSdOCetGiWYmkigac62tRzEbD069mj8lPEUgiMgeRQkqMvhitt
JP7khTCG1AI0LuMBQa6HwszMqfPMf/pZNDOiRh9ANwyey2IEAYt/v7m5J8RsE4h5
CE9pgXdHbduBxY2gg1KgpKSjFYNo4htpAsRTwS0Ia4x6LN1regRgzrRZjNGmTb0=
=mwfF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 May 2013 07:26:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:07:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.